<html>

<head>
{% load staticfiles %}
<link rel="stylesheet" type="text/css" href="{% static 'App/mystyle.css' %}" />
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css" rel="stylesheet"/>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twbs-pagination/1.4.1/jquery.twbsPagination.js"></script>
</head>

<body >
	<center><h1>{{add}}</h1>
	<center><h1>{{out16}}</h1>
	{% ifequal out16 'Solusi Sudoku:'%}
	<script>
		var mat = {{grid16|safe}};
		var mat_orig = {{grid_orig16|safe}};
		var maks = {{jumSol|safe}};
		var i,j,k;
    document.write('<table class="sd" id="sudoku" border="0" align="center" cellspacing="1" cellpadding="1">');
	for(k=0;k<maks;k++){
		for(i=0;i<16;i++){
      document.write('<tr>');
      if (i != 4 && i != 8 && i != 12){
        for(j=0;j<16;j++){
          if(j ==3 || j ==7 || j==11){
						if(mat[k][i][j] == mat_orig[i][j]){
							document.write('<td class="rr"><font color="blue" size="5">'+mat[k][i][j]+'</font</td>');
						}
						else{
							document.write('<td class="rr">'+mat[k][i][j]+'</td>');
						}
          }
          else{
						if(mat[k][i][j] == mat_orig[i][j]){
							document.write('<td class="xx"><font color="blue" size="5">'+mat[k][i][j]+'</font</td>');
						}
						else{
							document.write('<td class="xx">'+mat[k][i][j]+'</td>');
						}
					}
        }
      }
      else{
        for(j=0;j<16;j++){
          if(j ==3 || j ==7 || j==11){
						if(mat[k][i][j] == mat_orig[i][j]){
							document.write('<td class="topr"><font color="blue" size="5">'+mat[k][i][j]+'</font</td>');
						}
						else{
							document.write('<td class="topr">'+mat[k][i][j]+'</td>');
						}
					}
          else{
						if(mat[k][i][j] == mat_orig[i][j]){
							document.write('<td class="top"><font color="blue" size="5">'+mat[k][i][j]+'</font</td>');
						}
						else{
							document.write('<td class="top">'+mat[k][i][j]+'</td>');
						}
					}
        }
      }
      document.write('</tr>');
    }
	}
	document.write('</table>');
	</script>
	{% endifequal %}
  <a href="/sudoku_16"><button>Kembali</button></a>
	<br><br>
	</center>
</body>
<script type="text/javascript">
var $table = document.getElementById("sudoku"),
// banyak baris
$n = 16,
$rowCount = $table.rows.length,
$firstRow = $table.rows[0].firstElementChild.tagName,
$hasHead = ($firstRow === "TH"),
$tr = [],
$i,$ii,$j = ($hasHead)?1:0,
$th = ($hasHead?$table.rows[(0)].outerHTML:"");
var $pageCount = Math.ceil($rowCount / $n);
if ($pageCount > 1) {
for ($i = $j,$ii = 0; $i < $rowCount; $i++, $ii++)
	$tr[$ii] = $table.rows[$i].outerHTML;
$table.insertAdjacentHTML("afterend","<div id='buttons'></div");
sort(1);
}
function sort($p) {
var $rows = $th,$s = (($n * $p)-$n);
for ($i = $s; $i < ($s+$n) && $i < $tr.length; $i++)
	$rows += $tr[$i];
$table.innerHTML = $rows;
document.getElementById("buttons").innerHTML = pageButtons($pageCount,$p);
document.getElementById("id"+$p).setAttribute("class","active");
}


function pageButtons($pCount,$cur) {
var $prevDis = ($cur == 1)?"disabled":"",
	$nextDis = ($cur == $pCount)?"disabled":"",
	$buttons = "<input type='button' value='&lt;&lt; Prev' onclick='sort("+($cur - 1)+")' "+$prevDis+">";
for ($i=1; $i<=$pCount;$i++)
	$buttons += "<input type='button' id='id"+$i+"'value='"+$i+"' onclick='sort("+$i+")'>";
$buttons += "<input type='button' value='Next &gt;&gt;' onclick='sort("+($cur + 1)+")' "+$nextDis+">";
return $buttons;
}
</script>
</html>
